import { NetResponse } from "../../Engine/CatanEngine/NetManagerV2/NetResponse"

// #region Request

export type RpcLobbyListRequest = any[]
export class LobbyListRequest extends NetResponse {
	protected data: RpcLobbyListRequest
	protected method: string = "lobby.list"
	constructor(data: RpcLobbyListRequest = undefined, status: number = 0) { super(data, status) }
}

export type RpcLobbyCreateRequest = undefined
export class LobbyCreateRequest extends NetResponse {
	protected data: RpcLobbyListRequest
	protected method: string = "lobby.create"
	constructor(data: RpcLobbyCreateRequest = undefined, status: number = 0) { super(data, status) }
}

// #endregion

// #region Type

// #endregion